push module

The push module API sends a POST request to create a module.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a module name and connector type.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Request Body
Field nameDescriptionFormat
nameThe name of the moduleString
configConnector configurationObject
typeThe connector type identifierString
profilesModule profilesMap
connectionRefConnection ID (pre-existing profiles)UUID
Response Body
Field nameDescriptionFormat
moduleIdThe ID of the created moduleUUID
moduleNameThe name of the created moduleString
testCasesCreatedNumber of test cases createdInteger
Config Structure
Field nameDescriptionFormat
connectorNameThe name of the connectorString
connectorVersionThe version of the connectorString
Profile Structure
Field nameDescriptionFormat
profileNameKeyString
profileValueProfile configJsonElement

Examples

{
  "name": "module-mainframe-rpc",
  "config": {
    "connectorName": "mf-cics-cobol",
    "connectorVersion": "latest"
  },
  "type": "mainFrameRpc",
  "profiles": {
    "$default": {
      "baseUrl": "http://cics.example.internal",
      "uriMap": "/example/latest",
      "port": 12345,
      "codePage": "cp037"
    }
  }
}
{
  "moduleId": "00000000-0000-0000-0000-000000000011",
  "moduleName": "module-mainframe-rpc",
  "testCasesCreated": 0
}
Body Params
string
required
config
object
string
profiles
object
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json